# Type alias AppConfigOptions

AppConfigOptions: {
admin?: boolean;
appId: string;
batchId?: string;
collectionId?: string;
config?: any;
data?: any;
itemId?: string;
productId?: string;
user?: boolean;
userData?: boolean;
variantId?: string;
}

#### Type declaration

- ##### `Optional` admin?: boolean

- ##### appId: string

- ##### `Optional` batchId?: string

- ##### `Optional` collectionId?: string

- ##### `Optional` config?: any

- ##### `Optional` data?: any

- ##### `Optional` itemId?: string

- ##### `Optional` productId?: string

- ##### `Optional` user?: boolean

- ##### `Optional` userData?: boolean

- ##### `Optional` variantId?: string

- Defined in api/appConfiguration.ts:4